<?php 
	require_once('const.php');
    $SettingData=EpidemicPageCounter\loadSetting();
    $thisLocation=dirname(__FILE__).'/';
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html lang="ja">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<meta name="robots" content="noindex,nofollow,noarchive">
		<meta name="copyright" content="LOGICRAFT">
		<title>人気ページカウントシステム｜EpidemicPageCounter</title>
		<style type="text/css">
			*{
				font-family:'Lucida Grande','Hiragino Kaku Gothic ProN', Meiryo, sans-serif;
				margin:0;
				padding:0;
			}
			html{
				font-size:12px;
				background:#ffffff;
			}
			body{
				font-size:12px;
				color:#000000;
				background:#ffffff;
			}
			h1{
				color:#0000a0;
				font-size:20px;
				margin: 4px 4px 4px 4px;
			}
			p{
				color:#000000;
				margin: 4px 4px 4px 4px;
			}
			form{
				display:inline-block;
			}
			.margin{
				margin: 4px 4px 4px 4px;
			}
			input{
				color:#000000;
				padding:2px 4px 2px 4px;
				margin: 4px 4px 4px 4px;
			}
			.short_hr{
				width:500px;
			}
			.colorbox{
				display:inline-block;
				vertical-align:middle;
				width:24px;
				height:24px;
			}
			.success_message{
				display: inline-block;
				font-size:12px;
				color:#00b000;
				background:#ffffff;
				padding:10px 10px;
				border: 1px #00b000 solid;
				margin: 14px 4px 14px 4px;
			}
			.failure_message{
				display: inline-block;
				font-size:12px;
				color:#cc0000;
				background:#ffffff;
				padding:10px 10px;
				border: 1px #cc0000 solid;
				margin: 14px 4px 14px 4px;
			}
		</style>
	</head>
	<body>
		<?php 
			$poweredby='<a href="'.COPYRIGHT.'" target=”_blank” style="text-decoration:none;"><span style="color:#707070;">powered by LOGICRAFT</span></a>';
			$postkey=array();
			$postkey[]='page';
			$postkey[]='status';
			$postkey[]='s_period';
			$postkey[]='s_password';
			$postkey[]='s_display';
			$postkey[]='s_bgcolor';
			$postkey[]='s_linecolor';
			$postkey[]='s_charcolor';
			$postkey[]='s_charsize';
			$postkey[]='s_charlength';
			$postkey[]='s_width';
			$postkey[]='s_displaytype';
			$postkey[]='s_url';
			$postkey[]='s_b_width';
			$postkey[]='s_b_height';
			$postkey[]='s_imgno';
			$postkey[]='s_rule_e';
			foreach($postkey as $value){
				$post[$value]=false;
				if(!empty($_POST[$value])){
					$post[$value]=$_POST[$value];
				}
			}
			$html_v='';
			// 設定ページ
			if($post['page']=='setup'){
				// 設定の保存
				if($post['status']=='add'){
					$CheckFlag=false;
					if(is_numeric($post['s_period']) && $post['s_period']>=1 && $post['s_period']<=99 &&
					   is_numeric($post['s_display']) && $post['s_display']>=1 && $post['s_display']<=999 &&
					   is_numeric($post['s_charsize']) && $post['s_charsize']>=1 && $post['s_charsize']<=99 &&
					   is_numeric($post['s_charlength']) && $post['s_charlength']>=1 && $post['s_charlength']<=99 &&
					   is_numeric($post['s_width']) && $post['s_width']>=120 && $post['s_width']<=9999 &&
                       is_numeric($post['s_b_width']) && $post['s_b_width']>=0 && $post['s_b_width']<=9999 &&
					   is_numeric($post['s_b_height']) && $post['s_b_height']>=0 && $post['s_b_height']<=9999 &&
					   is_numeric($post['s_imgno']) && $post['s_imgno']>=1 && $post['s_imgno']<=999){
								 
                        $my_url=$_SERVER["HTTP_HOST"];
                        if(isset($_SERVER['HTTPS']) && ($_SERVER['HTTPS'] == 'on'))
                        {
                            $my_url='https://'.$my_url;
                        }else{
                            $my_url='http://'.$my_url;
                        }
                        $my_cssurl=$my_url.dirname($_SERVER["REQUEST_URI"]).'/epidemicpagecounter.css';
                        $my_url.='/';
						$SettingData[0]=array($post['s_period'],
											$post['s_password'],
											$post['s_display'],
											$post['s_bgcolor'],
											$post['s_linecolor'],
											$post['s_charcolor'],
											$post['s_charsize'],
											$post['s_charlength'],
											$post['s_width'],
											$post['s_displaytype'],
                                            $my_url,
                                            $post['s_b_width'],
                                            $post['s_b_height'],
                                            $post['s_imgno'],
                                            $my_cssurl,
                                            $post['s_rule_e']);
						if(EpidemicPageCounter\arrayPutCsv($thisLocation.'setting.csv',$SettingData)){
							$CheckFlag=true;
						}
					}
				}
				// ログイン認証
				if($post['s_password']==$SettingData[0][1]){
					$html_v.='<h1>設定｜人気ページカウントシステム</h1>';
					$html_v.='<p><form name="form_change" method="post" action="edit.php">';
					$html_v.='<input type="hidden" name="page" value="edit"></input>';
					$html_v.='<input type="hidden" name="s_password" value="'.$post['s_password'].'"></input>';
					$html_v.='<input type="submit" value="集計を確認する" />';
					$html_v.='</form></p>';
					$html_v.='<hr>';
					$html_v.='<form name="form_setting" method="post" action="edit.php">';
					$html_v.='<p>パスワード：</p>';
					$html_v.='<p><input type="text" name="s_password" maxlength="8" style="width:100px;ime-mode:disabled;" value="'.$SettingData[0][1].'" /></p>';
					$html_v.='<hr class="short_hr">';
                    /*
					$html_v.='<p>URL：</p>';
					$html_v.='<p><input type="hidden" name="s_url" maxlength="255" style="width:300px;ime-mode:disabled;" value="'.$SettingData[0][10].'" /></p>';
                    */
					$html_v.='<p>集計期間：</p>';
					$html_v.='<p><input type="text" name="s_period" maxlength="2" style="width:50px;ime-mode:disabled;" value="'.$SettingData[0][0].'" /></p>';
					$html_v.='<p>ランキング表示数：</p>';
					$html_v.='<p><input type="text" name="s_display" maxlength="3" style="width:50px;ime-mode:disabled;" value="'.$SettingData[0][2].'" /></p>';
					$html_v.='<hr class="short_hr">';
					$html_v.='<p>リンク表示：</p>';
					if($SettingData[0][9]==1){
						$html_v.='<p><input type="radio" name="s_displaytype" value="0">タイトルのみ</input>&nbsp;';
						$html_v.='<input type="radio" name="s_displaytype" value="1" checked>画像あり</input></p>';
					}else{
						$html_v.='<p><input type="radio" name="s_displaytype" value="0" checked>タイトルのみ</input>&nbsp;';
						$html_v.='<input type="radio" name="s_displaytype" value="1">画像あり</input></p>';
					}
					$html_v.='<p>背景の色：</p>';
					$html_v.='<p><input type="text" name="s_bgcolor" maxlength="7" style="width:100px;ime-mode:disabled;" value="'.$SettingData[0][3].'" /><span class="colorbox" style="background-color:'.$SettingData[0][3].'"></span></p>';
					$html_v.='<p>ラインの色：</p>';
					$html_v.='<p><input type="text" name="s_linecolor" maxlength="7" style="width:100px;ime-mode:disabled;" value="'.$SettingData[0][4].'" /><span class="colorbox" style="background-color:'.$SettingData[0][4].'"></span></p>';
					$html_v.='<p>文字の色：</p>';
					$html_v.='<p><input type="text" name="s_charcolor" maxlength="7" style="width:100px;ime-mode:disabled;" value="'.$SettingData[0][5].'" /><span class="colorbox" style="background-color:'.$SettingData[0][5].'"></span></p>';
					$html_v.='<p>文字のサイズ：</p>';
					$html_v.='<p><input type="text" name="s_charsize" maxlength="2" style="width:100px;ime-mode:disabled;" value="'.$SettingData[0][6].'" />px</p>';
					$html_v.='<p>文字の最大表示数：</p>';
					$html_v.='<p><input type="text" name="s_charlength" maxlength="2" style="width:100px;ime-mode:disabled;" value="'.$SettingData[0][7].'" /></p>';
					$html_v.='<p>表の大きさ（幅）：（120px以上） ※リンク表示:「タイトルのみ」の設定</p>';
					$html_v.='<p><input type="text" name="s_width" maxlength="4" style="width:100px;ime-mode:disabled;" value="'.$SettingData[0][8].'" />px</p>';
					$html_v.='<p>画像サイズ： ※リンク表示:「画像あり」の設定</p>';
					$html_v.='<p>x：<input type="text" name="s_b_width" maxlength="4" style="width:50px;ime-mode:disabled;" value="'.$SettingData[0][11].'" />&nbsp;';
					$html_v.='y：<input type="text" name="s_b_height" maxlength="4" style="width:50px;ime-mode:disabled;" value="'.$SettingData[0][12].'" /></p>';
					$html_v.='<p>最初から何番目の画像を表示： ※リンク表示:「画像あり」の設定</p>';
					$html_v.='<p><input type="text" name="s_imgno" maxlength="3" style="width:50px;ime-mode:disabled;" value="'.$SettingData[0][13].'" /></p>';
					$html_v.='<p>リンクファイルに直接CSSのリンクタグを貼り付ける： ※リンク表示:「画像あり」の設定</p>';
                    if($SettingData[0][15]==1){
						$html_v.='<p><input type="radio" name="s_rule_e" value="0">する</input>&nbsp;';
						$html_v.='<input type="radio" name="s_rule_e" value="1" checked>しない</input></p>';
					}else{
						$html_v.='<p><input type="radio" name="s_rule_e" value="0" checked>する</input>&nbsp;';
						$html_v.='<input type="radio" name="s_rule_e" value="1">しない</input></p>';
					}
                    
                    $html_v.='<hr class="short_hr">';
					if($post['status']=='add' && $CheckFlag==true){
						$html_v.='<p class="success_message"> ○ 設定を保存しました。</p>';
					}elseif($post['status']=='add'){
						$html_v.='<p class="failure_message"> × 設定の保存に失敗しました。</p>';
					}
					$html_v.='<p><input type="submit" value="設定を保存する" /></p>';
					$html_v.='<input type="hidden" name="page" value="setup"></input>';
					$html_v.='<input type="hidden" name="status" value="add"></input>';
					$html_v.='</form>';
				}else{
					$html_v.='<h1>ログイン｜人気ページカウントシステム</h1>';
					$html_v.='<hr>';
					$html_v.='<p class="failure_message"> × ログインに失敗しました。</p><br>';
					$html_v.='<p>入力されたパスワードは「'.$post['s_password'].'」でした。</p>';
				}
			// 登録リンク編集ページ
			}elseif($post['page']=='edit'){
				$html_v.='<h1>集計の確認｜人気ページカウントシステム</h1>'."\n";
				$html_v.='<form name="form_change" method="post" action="edit.php">'."\n";
				$html_v.='<input type="hidden" name="page" value="setup"></input>'."\n";
				$html_v.='<input type="hidden" name="s_password" value="'.$post['s_password'].'"></input>'."\n";
				$html_v.='<p><input type="submit" value="設定" /></p>'."\n";
				$html_v.='</form>'."\n";
				$html_v.='<hr>'."\n";
				$html_v.='<div class="margin">'."\n";
				EpidemicPageCounter\aggregateEpidemicPage();
                if(file_exists($thisLocation.'pageranking.html')){
                    if($epidemicpage_html=file_get_contents($thisLocation.'pageranking.html')){
                        $html_v.=$epidemicpage_html;
                    }
                }
				$html_v.='</div>'."\n";
			// ログインページ
			}else{
				$html_v.='<h1>ログイン｜人気ページカウントシステム</h1>';
				$html_v.='<hr>';
				$html_v.='<form name="form_setting" method="post" action="edit.php">';
				$html_v.='<p>パスワード：</p>';
				$html_v.='<p><input type="text" name="s_password" maxlength="8" style="width:100px;ime-mode:disabled;"/></p>';
				$html_v.='<input type="hidden" name="page" value="setup"></input>';
				$html_v.='<hr class="short_hr">';
				$html_v.='<p><input type="submit" value="ログイン"/></p>';
				$html_v.='</form>';
			}
			$html_v.='<br><p>'.$poweredby.'</p>';
			echo $html_v;
		 ?>
	</body>
</html>